CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register   Reset Password   Activate Account
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2004-0923

CUPS 1.1.20 and earlier records authentication information for a device URI in the error_log file, which allows local users to obtain user names and passwords.
Publish Date : 2005-01-27 Last Update Date : 2010-08-21
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
2.1
Confidentiality Impact Partial (There is considerable informational disclosure.)
Integrity Impact None (There is no impact to the integrity of the system)
Availability Impact None (There is no impact to the availability of the system.)
Access Complexity Low (Specialized access conditions or extenuating circumstances do not exist. Very little knowledge or skill is required to exploit. )
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access None
Vulnerability Type(s) Obtain Information
CWE ID CWE id is not defined for this vulnerability

- Additional Vendor Supplied Data

Vendor Impact CVSS Score CVSS Vector Report Date Publish Date
Redhat 2004-09-30
Redhat low 2004-10-06
If you are a vendor and you have additional data which can be automatically imported into our database, please contact admin @ cvedetails.com

- Related OVAL Definitions

Title Definition Id Class Family
CUPS 1.1.20 and earlier records authentication information for a device URI in the error_log file, which allows local us... oval:org.mitre.oval:def:10710 unix
RHSA-2004:543: cups security update (Important) oval:com.redhat.rhsa:def:2004543 unix
RHSA-2004:543: cups security update (Important) oval:com.redhat.rhsa:def:20040543 unix
OVAL (Open Vulnerability and Assessment Language) definitions define exactly what should be done to verify a vulnerability or a missing patch. Check out the OVAL definitions if you want to learn what you should do to verify a vulnerability.

- Products Affected By CVE-2004-0923

# Product Type Vendor Product Version Update Edition Language
1 OS Apple Mac Os X 10.2 Version Details Vulnerabilities
2 OS Apple Mac Os X 10.2.1 Version Details Vulnerabilities
3 OS Apple Mac Os X 10.2.2 Version Details Vulnerabilities
4 OS Apple Mac Os X 10.2.3 Version Details Vulnerabilities
5 OS Apple Mac Os X 10.2.4 Version Details Vulnerabilities
6 OS Apple Mac Os X 10.2.5 Version Details Vulnerabilities
7 OS Apple Mac Os X 10.2.6 Version Details Vulnerabilities
8 OS Apple Mac Os X 10.2.7 Version Details Vulnerabilities
9 OS Apple Mac Os X 10.2.8 Version Details Vulnerabilities
10 OS Apple Mac Os X 10.3 Version Details Vulnerabilities
11 OS Apple Mac Os X 10.3.1 Version Details Vulnerabilities
12 OS Apple Mac Os X 10.3.2 Version Details Vulnerabilities
13 OS Apple Mac Os X 10.3.3 Version Details Vulnerabilities
14 OS Apple Mac Os X 10.3.4 Version Details Vulnerabilities
15 OS Apple Mac Os X 10.3.5 Version Details Vulnerabilities
16 OS Apple Mac Os X Server 10.2 Version Details Vulnerabilities
17 OS Apple Mac Os X Server 10.2.1 Version Details Vulnerabilities
18 OS Apple Mac Os X Server 10.2.2 Version Details Vulnerabilities
19 OS Apple Mac Os X Server 10.2.3 Version Details Vulnerabilities
20 OS Apple Mac Os X Server 10.2.4 Version Details Vulnerabilities
21 OS Apple Mac Os X Server 10.2.5 Version Details Vulnerabilities
22 OS Apple Mac Os X Server 10.2.6 Version Details Vulnerabilities
23 OS Apple Mac Os X Server 10.2.7 Version Details Vulnerabilities
24 OS Apple Mac Os X Server 10.2.8 Version Details Vulnerabilities
25 OS Apple Mac Os X Server 10.3 Version Details Vulnerabilities
26 OS Apple Mac Os X Server 10.3.1 Version Details Vulnerabilities
27 OS Apple Mac Os X Server 10.3.2 Version Details Vulnerabilities
28 OS Apple Mac Os X Server 10.3.3 Version Details Vulnerabilities
29 OS Apple Mac Os X Server 10.3.4 Version Details Vulnerabilities
30 OS Apple Mac Os X Server 10.3.5 Version Details Vulnerabilities
31 Application Easy Software Products Cups 1.0.4 Version Details Vulnerabilities
32 Application Easy Software Products Cups 1.0.4 8 Version Details Vulnerabilities
33 Application Easy Software Products Cups 1.1.1 Version Details Vulnerabilities
34 Application Easy Software Products Cups 1.1.4 5 Version Details Vulnerabilities
35 Application Easy Software Products Cups 1.1.4 Version Details Vulnerabilities
36 Application Easy Software Products Cups 1.1.4 2 Version Details Vulnerabilities
37 Application Easy Software Products Cups 1.1.4 3 Version Details Vulnerabilities
38 Application Easy Software Products Cups 1.1.6 Version Details Vulnerabilities
39 Application Easy Software Products Cups 1.1.7 Version Details Vulnerabilities
40 Application Easy Software Products Cups 1.1.10 Version Details Vulnerabilities
41 Application Easy Software Products Cups 1.1.12 Version Details Vulnerabilities
42 Application Easy Software Products Cups 1.1.13 Version Details Vulnerabilities
43 Application Easy Software Products Cups 1.1.14 Version Details Vulnerabilities
44 Application Easy Software Products Cups 1.1.15 Version Details Vulnerabilities
45 Application Easy Software Products Cups 1.1.16 Version Details Vulnerabilities
46 Application Easy Software Products Cups 1.1.17 Version Details Vulnerabilities
47 Application Easy Software Products Cups 1.1.18 Version Details Vulnerabilities
48 Application Easy Software Products Cups 1.1.19 Version Details Vulnerabilities
49 Application Easy Software Products Cups 1.1.19 Rc5 Version Details Vulnerabilities
50 Application Easy Software Products Cups 1.1.20 Version Details Vulnerabilities
51 Application Easy Software Products Cups 1.1.21 Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Apple Mac Os X 15
Apple Mac Os X Server 15
Easy Software Products Cups 21

- References For CVE-2004-0923

http://lists.apple.com/archives/security-announce/2004/Oct/msg00000.html
APPLE APPLE-SA-2004-09-30
http://www.mandriva.com/security/advisories?name=MDKSA-2004:116
MANDRAKE MDKSA-2004:116
http://www.ciac.org/ciac/bulletins/p-002.shtml
CIAC P-002
http://xforce.iss.net/xforce/xfdb/17593
XF cups-password-disclosure(17593)
http://www.debian.org/security/2004/dsa-566
DEBIAN DSA-566
http://www.kb.cert.org/vuls/id/557062
CERT-VN VU#557062
http://www.securityfocus.com/bid/11324
BID 11324 CUPS Error_Log Local Password Disclosure Vulnerability Release Date:2009-07-12
http://www.redhat.com/support/errata/RHSA-2004-543.html
REDHAT RHSA-2004:543

- Metasploit Modules Related To CVE-2004-0923

There are not any metasploit modules related to this vulnerability (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.